Subject: Re: Equivalent of `svn switch` for git-svn?

From: Pierre Habouzit <[email-masked]>
Date: Thu, 27 Sep 2007 19:02:05 +0200

On Thu, Sep 27, 2007 at 04:39:27PM +0000, Adam Roben wrote:
> Will doing this then change all the git-svn-id: lines in the commit logs 
> for those imported revisions? I'm asking because my understanding is that 
> git-svn uses those git-svn-id: lines to determine which branch you're on, 
> and if the URLs are now all out of date won't it then think it can't 
> determine the correct branch?

  fwiw If it breaks git-svn, then it's a deep git-svn misconception.
I've always believed that git-svn should always have done what git
checkout --track do, meaning set into the configuration which svn remote
branch you are following.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org